### Function: GetSpawnListByRailID(spawn, rail_id)

**Description:**
Gets the spawn list by the rail id.

**Parameters:**
- `spawn` (Spawn) - Spawn object representing `spawn`.
- `rail_id` (int64) - Integer value `rail_id`.

**Returns:** Table - list of Spawn object references.

**Example:**

Example Required
